CatalogBrands
Create brand
Creates a brand with its slug, media, SEO metadata, and display order.
POST
/v1/catalog/brandsCreates a brand with its slug, media, SEO metadata, and display order.
Authorization
bearerAuth AuthorizationBearer <token>
OAuth2 access token issued by Ecomiq Auth.
In: header
Header Parameters
x-Store-Id?string
Store the request acts on. Not needed when the token is bound to a store.
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
curl -X POST "https://example.com/v1/catalog/brands" \ -H "x-Store-Id: <store-id>" \ -H "Authorization: Bearer <token>" \ -H "Content-Type: application/json" \ -d '{ "name": "Example resource", "slug": "example-resource", "logo": "example", "icon": "example", "description": "Example description.", "metaTitle": "Example title", "metaDescription": "Example description.", "keywords": [ "example" ] }'{ "id": "7204558912004325301"}